tr.footerReporte {
    background-color: #42e527 !important;
    font-weight: bolder;
    color: darkgreen;
}

tr.headerReporte {
    background-color: white !important;
    font-weight: bolder;
    color: black;
}

tr.conceptoReporte {
    background-color: rgb(66, 229, 39) !important;
}

tr.sumaReporte {
    background-color: white !important;
    color: black;
}

tr.restaReporte {
    background-color: #a3b8fc !important;
}

tr.headerReporte > td.nombreBloque {
    vertical-align: middle;
}

tr.topeBloque {
    border-top: 1px solid #dddddd;
}

tr.fondoBloque {
    border-bottom: 1px solid #dddddd;
}

tr.headerReporte.filaDiferenciaOptima {
    background-color: #fcd5b4 !important;
}

tr.headerReporte.filaDiferenciaPtto {
    background-color: #dca879 !important;
}

td.diferenciaPositiva {
    background-color: #ffff00;
}

td.diferenciaNegativa {
    background-color: #92d14f;
}

tr.headerReporte.camasReportadas {
    background-color: #c3c3c3 !important;
}

tr.headerReporte.camasPtto {
    background-color: #7f7f7f !important;
}

/* Estilos de contadores SOLO en el 'modalReportePorTrabajador' */
.contador-reporte-persona {
    border: 2px solid gray;
    -moz-border-radius: 5px;
    -o-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    width: 25px;
    text-align: center;
}

.contador-saldo-pendiente {
    background-color: #f30000;
    border-color: #fd7979;
    color: white;
}

/*Sirve para el reporte de atrasos por dia y acumulado*/
.atrasos {
    color: red;
    font-weight: bold;
}

table.table-centralize-text td,
table.table-centralize-text th {
    text-align: center;
}

#tablaPrestacionServicio td,
#tablaEventosPeriodo td {
    vertical-align: middle;
}

table.table-borderless td,
table.table-borderless th {
    border: 0 !important;
}

table tr.table-nowrap-row td,
table tr.table-nowrap-row th {
    white-space: nowrap;
}

.bg-new-primary {
    background-color: #007bff;
    color: white;
}

.bg-new-secondary {
    background-color: #868e96;
    color: white;
}

.bg-new-success {
    background-color: #28a745;
    color: white;
}

.bg-new-warning {
    background-color: #ffc107;
}

.bg-new-danger {
    background-color: #dc3545;
    color: white;
}

.bg-morado {
    background-color: #904890;
    color: white;
}

.bg-new-info-letra-negra {
    background-color: #5bc0de;
    color: black;
}

.bg-new-success-letra-negra {
    background-color: #28a745;
    color: black;
}

.bg-verde-musgo {
    background-color:#a7c383;
    color: black;
}

/* La clase 'bg-inherit' hace que un elemento hijo herede el color de fondo del elemento padre */
.bg-inherit {
    background-color: inherit;
}

.texto-verde {
    color: green;
}

.text-new-warning {
    color: #ffc107;
}

.text-new-danger {
    color: #dc3545;
}

.text-black {
    color: black;
}

.numeros-dotacion-gerencia {
    font-size: 5em;
}

th.fix-cell {
    border-top: none;
    z-index: 79;
}

.bg-white {
    background-color: white;
}

.glosaTablaReporte {
    font-size: 9px;
    text-align: justify;
}

pre.nota-destacada-inline {
    line-height: 0.1;
    text-align: center;
    font-weight: bold;
    font-family: unset;
    font-size: unset;
}

pre.nota-destacada-inline p.texto-nota-destacada {
    margin: 4px 0px;
}

pre.nota-destacada-responsive-inline {
    white-space: pre-wrap;
    word-break: normal;
    overflow-wrap: anywhere;
    text-align: left;
    font-family: unset;
    font-size: unset;
    padding: 5px 10px;
    margin: 0;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
}

pre.nota-destacada-responsive-inline p.texto-nota-destacada {
    margin: 0;
    white-space: normal;
}

.bloque-graficos-unidades {
    height: 250px;
    width: 100%;
    position: relative;
}

/**
 * Clase para los tooltips de google chart para la clase 'bloque-graficos-unidades' que sobreescribe (override) la propiedad z-index,
 * de tal manera que los tooltips de posición absoluta en elementos de gráficos de posición relativa se muestren enteros.
 * Sin esto, un tooltip muy grande o muy largo no sería mostrado del todo debido a la limitaciones de largo y alto de un elemento con gráficas
 */
.bloque-graficos-unidades .google-visualization-tooltip {
    z-index: 1000;
}

.tooltip-graficos-unidades {
    border-radius: 5px;
    padding: 10px;
    width: 250px;
}

/**
* Clase que hace que no se muestre un determinado control
* si la ventana tiene menos de 700px de ancho.
*/
@media only screen and (max-width: 700px){
   .ocultarEnPantallaPocaResolucion { display: none; }
}






